## quantlib-swig 1.38

=== R/DESCRIPTION ===
Package: QuantLib
Title: QuantLib bindings for R
Version: 1.38
Date: $Date$
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: The QuantLib Group
Description: This package provides the SWIG-generated QuantLib bindings for R
Depends: methods
SystemRequirements: QuantLib library, Boost library
License: QuantLib License
URL: https://www.quantlib.org

=== debian/changelog ===
quantlib-swig (1.38-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Build-Depends to current QuantLib
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Apr 2025 08:36:15 -0500

quantlib-swig (1.37-1.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 ("noble")

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Jan 2025 18:28:26 -0600

=== debian/control ===
Source: quantlib-swig
Priority: optional
Section: interpreters
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.38), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git
Homepage: https://www.quantlib.org

Package: quantlib-python
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python3 bindings for the Quantlib Quantitative Finance library
 The QuantLib project is aimed to provide a comprehensive software framework
 for quantitative finance. The goal is to provide a standard free/open source
 library to quantitative analysts and developers for modeling, trading, and
 risk management in real-life.
 .
 QuantLib plans to offer tools that are useful for both practical
 implementation, with features such as market conventions, solvers, PDEs,
 etc., and advanced modeling, e.g., exotic options and interest rate models.
 .
 This package provides Python bindings to parts of the QuantLib library.

=== debian/rules ===
#! /usr/bin/make -f
#                                                       -*- makefile -*-
# debian/rules file for the Debian Linux quantlib-swig package
# Copyright (C) 2001 - 2019 by Dirk Eddelbuettel <edd@debian.org>

#package	:= $(shell grep Package debian/control | sed 's/^Package: //')
pypackage	= quantlib-python
rbpackage	= quantlib-ruby
rrpackage	= quantlib-r
version		:= $(shell head -1 debian/changelog | \
			perl -nle 'm/\S+\s+\((\S+)\)/ && print $$1')
pydeb		:= $(CURDIR)/debian/$(pypackage)
rbdeb		:= $(CURDIR)/debian/$(rbpackage)
rrdeb		:= $(CURDIR)/debian/$(rrpackage)

#arch 		:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
## edd 01 Nov 2005 use DEB_BUILD_ARCH_CPU, not DEB_BUILD_GNU_TYPE
##                 updated rules throughout
arch		:= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
cpu		:= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

PYTHONS  	:= $(shell py3versions -s)
RUBY		:= ruby

#export DH_VERBOSE=1

## edd 29 Nov 2001	Default to g++
cxxcompiler	= g++

## edd 14 Jan 2003	no longer change g++ as g++-3.2 is now default
# 			but use g++-3.0 on ia64
#ifneq "$(findstring $(arch), ia64)" ""
#cxxcompiler	= g++-3.0
#endif

## edd 01 Feb 2002  	allow -ffunction-sections on hppa
## edd 26 Oct 2007      turn strict aliasing warning off
## edd 01 May 2011      add -fpermissive as g++ is more of a stickler
## edd 06 May 2011      remove -fpermissive with QL 1.1 betas
## edd 09 Sep 2018      bringing over a few extra settings for hppa
#compilerflags	= -O2 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
## edd 07 Aug 2019      turning optimisation off or else linking (with lto) fails
## bunk 28 Oct 2023     no longer turning optimisation off
compilerflags	= -g0 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
ifeq ($(cpu),hppa)
compilerflags   = -O0 -g0 -mlong-calls -ffunction-sections --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
#cxxcompiler	= g++-3.0
endif

## edd 18 May 2002	no optimisation or debugging on baby systems
## edd 14 May 2005	don't do it on mipsel or mips either
## edd 01 Jun 2007      no longer activate this on mips/mipsel
## edd 26 Jun 2007 	use cpu test, not arch test -- thanks to Riku via #430709
## edd 26 Oct 2007      s390+powerpc also die, so add'em (and remove mips(el), see next item)
## edd 27 May 2012      added mips/mipsel/armel/armhf here too
## edd 11 Mar 2015      remove powerpc and armhf from the list as they built on Ubuntu (cf
##                      https://launchpad.net/ubuntu/+source/quantlib-swig/1.5-1ubuntu1) and #779720)
##                      also remove mips, mipsel as they are getting taken care of below
#ifneq "$(findstring $(cpu), m68k arm armeb s390 powerpc armel armhf mips mipsel)" ""
ifneq "$(findstring $(cpu), m68k arm armeb s390 armel)" ""
compilerflags   = -O0 -g0 -DBOOST_NO_AUTO_PTR
endif

## edd 26 Oct 2007      really reset mips/mips to -O2 (see #419742)
## edd 27 May 2012      move to previos section
## edd 06 Dec 2014      patch by Dejan Latinovic (see #772028) to add -mxgot
## edd 23 Jun 2016      patch by Daniel Knezevic (see #827979) to add gcc-min-expand=20
## edd 29 Sep 2018      adding mips64el here as well as it recently timed out
## bunk 28 Oct 2023     removing mips64el here since current buildds should be fast enough
## edd 03 Jan 2025      adding mips64el again as it failed for 1.35 and 1.36
ifneq "$(findstring $(cpu), mipsel mips mips64el)" ""
#compilerflags   = -O2 -g0
compilerflags   = -O0 -g0 -mxgot --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
endif

## edd 21 Aug 2018      i386 now seems to be hosted on amd64
ifneq "$(findstring $(arch), i386)" ""
compilerflags   = -O0 -g0 --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
endif

## edd 22 Aug 2018      trying to help a few other systems with their memory exhaustion
ifneq "$(findstring $(cpu), hurd-i386 kfreebsd-i386 m68k powerpc x32)" ""
compilerflags   = -O0 -g0 --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
endif


## edd 25 Dec 2002  g++-3.2 for s390

#ifneq "$(findstring $(arch), s390)" ""
#cxxcompiler	= g++-3.2
#endif

upstream: get-orig-source
get-orig-source:
	        lynx http://quantlib.org

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	@echo "*** Running on arch $(arch) and cpu $(cpu)"

	./autogen.sh

        # need to build the Makefile for R (and Ruby ?)
	./configure 	--prefix=/usr 				\
			--build $(arch)

        # $(MAKE)
	(cd Python && \
			swig -python -c++ -outdir src/QuantLib  \
                             -o src/QuantLib/quantlib_wrap.cpp  \
                             ../SWIG/quantlib.i;	        \
			for python in $(PYTHONS); do		\
				CC="$(cxxcompiler)"		\
				CXX="$(cxxcompiler)" 		\
				CFLAGS="$(compilerflags)"	\
				CXXFLAGS="$(compilerflags)"	\
				$$python setup.py build;	\
			done					)

	# (cd Ruby &&						\
	# 		CC="$(cxxcompiler)"			\
	# 		CXX="$(cxxcompiler)"			\
	# 		CFLAGS="$(compilerflags)"		\
	# 		CXXFLAGS="$(compilerflags)"		\
	# 		$(RUBY) setup.rb build                  )

#	(cd R &&						\
#			CC="$(cxxcompiler)"			\
#			CXX="$(cxxcompiler)"			\
#			CFLAGS="$(compilerflags)"		\
#			CXXFLAGS="$(compilerflags)"		\
#			make					)

	touch build-stamp

test:	build test-stamp
test-stamp:
## edd 01 Nov 2005  run check only on i386
#ifeq "$(findstring $(arch), m68k arm)" ""
ifeq ($(cpu),i486)
        # -$(MAKE) test
	(cd Python && for python in $(PYTHONS); do		\
		$$python setup.py test;				\
		done						)
	#(cd Ruby && $(RUBY) setup.rb test 			)
endif
	touch test-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp test-stamp install-stamp
	-test -f Makefile && $(MAKE) realclean
	(cd Python && for python in $(PYTHONS); do 		\
			$$python setup.py clean --all;		\
			done &&					\
			rm -f QuantLib/*.pyc			)
#	(cd Ruby &&						\
#			rm -f quantlib_wrap.o QuantLibc.so 	)
	dh_clean

install: test install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs	-p$(pypackage)	usr/share/$(pypackage)
        #$(MAKE) install PREFIX=$(debtmp)/usr
	(cd Python && 						\
		for python in $(PYTHONS); do			\
			$$python setup.py 			\
				install --prefix=$(pydeb)/usr 	\
					--install-layout=deb;	\
		done						)

        # edd 2005-Apr-14  copy swig file manually instead
	cp -vax SWIG/* 	$(pydeb)/usr/share/$(pypackage)/
	rm -fv 	Python/test/*.pyc
        # remove Docs installed by Python, we do that below
	rm -frv $(pydeb)/usr/share/doc/QuantLib-Python
        # remove .pyc which Lintian doesn't like
	rm -frv $(pydeb)/usr/lib/python*/site-packages/QuantLib/*.pyc
	rm -frv $(pydeb)/usr/lib/python3/dist-packages/QuantLib/__pycache__/

	#dh_installdirs -p$(rbpackage)	usr/share/$(rbpackage)
        ## $(MAKE) install PREFIX=$(debtmp)/usr
	#(cd Ruby &&							\
	#	CXX="$(cxxcompiler)" 					\
	#	CFLAGS="$(compilerflags)" 				\
	#	CXXFLAGS="$(compilerflags)" 				\
	#	$(RUBY) setup.rb install				\
	#		--prefix=$(rbdeb)/usr --debian                  )
        ## fix mode, lintian complain about 755 and no #! line
	#chmod 644 debian/$(rbpackage)/usr/lib/ruby/*/QuantLib.rb
        ## edd 2007-Dec-20  copy swig file manually instead as well
	#cp -vax SWIG/*	$(rbdeb)/usr/share/$(rbpackage)/
	#touch install-stamp

	#dh_installdirs -p$(rrpackage)	usr/lib/$(rrpackage) usr/share/$(rrpackage)
        ## $(MAKE) install PREFIX=$(debtmp)/usr
	#cp -vax R/QuantLib.so R/QuantLib.RData R/QuantLib.R R/README.txt $(rrdeb)/usr/lib/$(rrpackage)/
	#cp -vax SWIG/*	$(rrdeb)/usr/share/$(rrpackage)/

	touch install-stamp

binary-indep: build test install

binary-arch: build test install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs	-A	README.md News.md
	dh_installexamples -p$(pypackage) Python/test/ Python/examples/*.py
#	dh_installexamples -p$(rbpackage) Ruby/test/ Ruby/examples/*.rb
#	dh_installexamples -p$(rrpackage) R/examples/*.R
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -A	ChangeLog.txt
#	dh_link
	dh_compress

## quantlib-swig 1.39

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.38
+Version: 1.39
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.39-1) unstable; urgency=medium

  * New upstream release				(Closes: #1109836)
  
  * debian/control: Update Build-Depends to current QuantLib
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Jul 2025 13:01:54 -0500

quantlib-swig (1.38-0.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 ("noble")

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Apr 2025 08:41:45 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.38), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
+Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.39), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git

=== debian/rules ===
--- 
+++ 
@@ -154,10 +154,10 @@
 	dh_testroot
 	rm -f build-stamp test-stamp install-stamp
 	-test -f Makefile && $(MAKE) realclean
-	(cd Python && for python in $(PYTHONS); do 		\
-			$$python setup.py clean --all;		\
-			done &&					\
-			rm -f QuantLib/*.pyc			)
+#	(cd Python && for python in $(PYTHONS); do 		\
+#			$$python setup.py clean --all;		\
+#			done &&					\
+#			rm -f QuantLib/*.pyc			)
 #	(cd Ruby &&						\
 #			rm -f quantlib_wrap.o QuantLibc.so 	)
 	dh_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%v?(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/lballabio/QuantLib-SWIG/tags \
    v?(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## quantlib-swig 1.40

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.39
+Version: 1.40
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== binder/requirements.txt ===
# Requirements for the example Python notebooks. Used by mybinder.org.
QuantLib
jupyter
jupytext
pandas
numpy
matplotlib

=== debian/changelog ===
quantlib-swig (1.40-3) unstable; urgency=medium

  * debian/rules: Add armhf to set of architectures using -O0 -g0

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 16 Nov 2025 10:18:24 -0600

quantlib-swig (1.40-2) unstable; urgency=medium

  * debian/patches/upgrade-minimum-pytho-version-3.10.patch: Upstream
    patch to accommodate SWIG 4.4.0 			(Closes: #1119770)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Nov 2025 09:27:49 -0500

quantlib-swig (1.40-0.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 ("noble")

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Oct 2025 09:24:15 -0500

quantlib-swig (1.40-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Oct 2025 09:20:15 -0500

=== debian/rules ===
--- 
+++ 
@@ -56,8 +56,9 @@
 ## edd 11 Mar 2015      remove powerpc and armhf from the list as they built on Ubuntu (cf
 ##                      https://launchpad.net/ubuntu/+source/quantlib-swig/1.5-1ubuntu1) and #779720)
 ##                      also remove mips, mipsel as they are getting taken care of below
+## edd 16 Nov 2025      add armhf again as it currently runs OOM during build
 #ifneq "$(findstring $(cpu), m68k arm armeb s390 powerpc armel armhf mips mipsel)" ""
-ifneq "$(findstring $(cpu), m68k arm armeb s390 armel)" ""
+ifneq "$(findstring $(cpu), m68k arm armeb s390 armel armhf)" ""
 compilerflags   = -O0 -g0 -DBOOST_NO_AUTO_PTR
 endif
 
@@ -222,8 +223,3 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installmanpages
-#	dh_installinfo
-#	dh_undocumented
-	dh_installchangelogs -A	ChangeLog.txt
-#	dh_link
-	dh_compress

## quantlib-swig 1.41

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.40
+Version: 1.41
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.41-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Build-Depends to current QuantLib
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Jan 2026 09:39:37 -0600

quantlib-swig (1.40-4.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 ("noble")

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 08 Jan 2026 13:43:53 -0600

quantlib-swig (1.40-4) unstable; urgency=medium

  * debian/rules: Updated to use more debhelper defaults

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 05 Jan 2026 17:05:43 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.39), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
-Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.41), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git
 Homepage: https://www.quantlib.org

=== debian/rules ===
#! /usr/bin/make -f
#                                                       -*- makefile -*-
#
# debian/rules file for the Debian Linux quantlib-swig package
# Copyright (C) 2001 - 2026 by Dirk Eddelbuettel <edd@debian.org>

export PYBUILD_VERSIONS = $(shell py3versions -sv)

arch		:= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

## edd 01 Feb 2002  	allow -ffunction-sections on hppa
## edd 26 Oct 2007      turn strict aliasing warning off
## edd 01 May 2011      add -fpermissive as g++ is more of a stickler
## edd 06 May 2011      remove -fpermissive with QL 1.1 betas
## edd 09 Sep 2018      bringing over a few extra settings for hppa
#compilerflags	= -O2 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
## edd 07 Aug 2019      turning optimisation off or else linking (with lto) fails
## bunk 28 Oct 2023     no longer turning optimisation off
compilerflags	= -g0 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
ifeq ($(cpu),hppa)
compilerflags   = -O0 -g0 -mlong-calls -ffunction-sections --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
endif

## edd 18 May 2002	no optimisation or debugging on baby systems
## edd 14 May 2005	don't do it on mipsel or mips either
## edd 01 Jun 2007      no longer activate this on mips/mipsel
## edd 26 Jun 2007 	use cpu test, not arch test -- thanks to Riku via #430709
## edd 26 Oct 2007      s390+powerpc also die, so add'em (and remove mips(el), see next item)
## edd 27 May 2012      added mips/mipsel/armel/armhf here too
## edd 11 Mar 2015      remove powerpc and armhf from the list as they built on Ubuntu (cf
##                      https://launchpad.net/ubuntu/+source/quantlib-swig/1.5-1ubuntu1) and #779720)
##                      also remove mips, mipsel as they are getting taken care of below
## edd 16 Nov 2025      add armhf again as it currently runs OOM during build
#ifneq "$(findstring $(cpu), m68k arm armeb s390 powerpc armel armhf mips mipsel)" ""
ifneq "$(findstring $(cpu), m68k arm armeb s390 armel armhf)" ""
compilerflags   = -O0 -g0 -DBOOST_NO_AUTO_PTR
endif

## edd 26 Oct 2007      really reset mips/mips to -O2 (see #419742)
## edd 27 May 2012      move to previos section
## edd 06 Dec 2014      patch by Dejan Latinovic (see #772028) to add -mxgot
## edd 23 Jun 2016      patch by Daniel Knezevic (see #827979) to add gcc-min-expand=20
## edd 29 Sep 2018      adding mips64el here as well as it recently timed out
## bunk 28 Oct 2023     removing mips64el here since current buildds should be fast enough
## edd 03 Jan 2025      adding mips64el again as it failed for 1.35 and 1.36
ifneq "$(findstring $(cpu), mipsel mips mips64el)" ""
#compilerflags   = -O2 -g0
compilerflags   = -O0 -g0 -mxgot --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
endif

## edd 21 Aug 2018      i386 now seems to be hosted on amd64
ifneq "$(findstring $(arch), i386)" ""
compilerflags   = -O0 -g0 --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
endif

## edd 22 Aug 2018      trying to help a few other systems with their memory exhaustion
ifneq "$(findstring $(cpu), hurd-i386 kfreebsd-i386 m68k powerpc x32)" ""
compilerflags   = -O0 -g0 --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
endif

## edd 06 Jan 2026      use DEB_CXXFLAGS_MAINT_APPEND
export DEB_CXXFLAGS_MAINT_APPEND = ${compilerflags}


%:
	dh $@ --with python3 --buildsystem=pybuild --sourcedirectory=Python

override_dh_clean:
	rm -f build-stamp test-stamp install-stamp 
	-test -f Makefile && $(MAKE) realclean
	rm -f Python/setup.cfg
	dh_clean

override_dh_auto_build:
	./autogen.sh
	# need to build the Makefile for R (and Ruby ?)
	./configure 	--prefix=/usr 				\
			--build $(arch)
	(cd Python && \
			swig -python -c++ -outdir src/QuantLib  \
                             -o src/QuantLib/quantlib_wrap.cpp  \
                             ../SWIG/quantlib.i			\
			)
	dh_auto_build

execute_after_dh_auto_clean:
	cd Python
	rm -rfv .pybuild build */build src/*.egg-info */src/*.egg-info
	find . -name __pycache__ | rm -rfv
